Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
07854 Gameplay Minor Have not tried Jan 13, 2021, 09:48 Jan 22, 2021, 10:14
Tester -Misc Reporters- View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Unable to reproduce OS Windows 10 (64-bit)
Status [?] Closed Driver nes.cpp
Version 0.227 Fixed in Version Build 64-bit
Fixed in Git Commit Github Pull Request #
Summary MESS-specific 07854: nes [lwings]: lwings get stuck in walls
Description This issue exists on all versions of MAME I've used. on ARM and x86.

Legendary Wings, the side scrolling stages:

Somehow, the timing is off.

On real hardware, you can run into walls all you want.

On MAME, often, if you run into a wall, you will go into it a little bit, get trapped and die.

It's like the refresh or collision timing is different and screwing it up?
Steps To Reproduce Play the game until you get to a side scrolling stage.
Additional Information Transferred from Github issue #3653 https://github.com/mamedev/mame/issues/3653
Github Commit
Flags
Regression Version
Affected Sets / Systems nes [lwings]
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
1
User avatar
No.18385
Tafoid
Administrator
Jan 15, 2021, 01:21
It would be nice to see an example of this on emulator and/or compared to original hardware?

I got to the first side scrolling stage (let the head's cloud hit you on the vertical scroll portion from start) and the only parts I could enter were areas of the upper/lower part which were not wall and it resulted in losing a power up each time (lost part of life?). I did not get stuck at all. This seems like logical behavior.